# Verify Contract (Standard JSON)

{% hint style="warning" %}
**Note:** This API uses `https://verify-api.vechainstats.com` instead of the standard `https://api.vechainstats.com`base URL.
{% endhint %}

Submit a contract for verification via the [Solidity standard JSON input](https://docs.soliditylang.org/en/latest/using-the-compiler.html#input-description) or [Vyper JSON input](https://docs.vyperlang.org/en/stable/compiling-a-contract.html#input-json-description).

```
https://verify-api.vechainstats.com/v2/verify/100009/{address}
```

{% tabs %}
{% tab title="Request" %}

```json
Request body example:

{
  "stdJsonInput": {},
  "compilerVersion": "0.8.7+commit.e28d00a7",
  "contractIdentifier": "contracts/Storage.sol:Storage",
  "creationTransactionHash": "0xb6ee9d528b336942dd70d3b41e2811be10a473776352009fd73f85604f5ed206"
}
```

{% endtab %}

{% tab title="Response" %}
Success:

<pre class="language-json"><code class="lang-json"><strong>{
</strong>  "verificationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
</code></pre>

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vechainstats.com/api-endpoints/contract-verification/verify-contract-standard-json.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
